var activeSection = 0;

window.scrollTo(0, 0);

counter = 0;
document.querySelectorAll('section').forEach(function(section) {
  section.classList.add('section'+ counter);
  counter++;
});

document.addEventListener('keydown', function (event) {
  if (event.shiftKey === false && event.ctrlKey === false && event.altKey === false) {
    switch(event.which) {
      case 37: // left
      case 38: // up
        scrollBack();
        break;
      case 39: // right
      case 40: // down
        scrollForward();
        break;
      case 119: // F8
        document.querySelector('body').classList.toggle('overlay');
        break;
      default:
        return;
    }
    event.preventDefault();
  }
});

function scrollBack() {
  window.scrollTo(0, window.pageYOffset - window.innerHeight);
  activeSection -= 1;
}

function scrollForward() {
  set = document.querySelectorAll('.section'+ activeSection +' .stop');
  if (set.length > 0) {
    set[0].classList.remove('stop');
  } else {
    window.scrollTo(0, window.pageYOffset + window.innerHeight);
    activeSection += 1;
  }
}

